# Uses of Class
org.apache.velocity.runtime.parser.node.SetExecutor

Packages that use SetExecutor
Package
Description
org.apache.velocity.runtime.parser.node
org.apache.velocity.util.introspection

## Uses of SetExecutor in org.apache.velocity.runtime.parser.node

Subclasses of SetExecutor in org.apache.velocity.runtime.parser.node
Modifier and Type
Class
Description
`class`
`MapSetExecutor`
SetExecutor that is smart about Maps.
`class`
`PutExecutor`
Executor that simply tries to execute a put(key, value) operation.
`class`
`SetPropertyExecutor`
Executor for looking up property names in the passed in class This will try to find a set<foo>(key, value) method
`class`
`SetPublicFieldExecutor`
Executor for setting public fields in objects

## Uses of SetExecutor in org.apache.velocity.util.introspection

Constructors in org.apache.velocity.util.introspection with parameters of type SetExecutor
Modifier
Constructor
Description
``
`VelSetterImpl(SetExecutor setExecutor)`